# -*- coding:utf-8 -*-

###########################################################################
# Eole NG - 2013
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
###########################################################################
# eoleflask authentication library replacer for Zephir 2.3

from functools import wraps

def get_active_client(reset=False):
    return None

def init_authentication(managed_app):
    managed_app.logger.warning('Session managed by Zephir web framework')

def login_required(f):
    @wraps(f)
    def decorated_function(*args, **kwargs):
        return f(*args, **kwargs)
    return decorated_function
